## org.eclipse.datatools.connectivity.oda.design
Class InputPromptControlStyle

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.connectivity.oda.design.InputPromptControlStyle

public final class InputPromptControlStyle
extends AbstractEnumerator

A representation of the literals of the enumeration 'Input Prompt Control Style', and utility methods for working with them. The style of UI control for prompting user to input a value.

See Also:
  `DesignPackage.getInputPromptControlStyle()`, Serialized Form

Field Summary
`static int` `CHECK_BOX` The 'Check Box' literal value.
`static InputPromptControlStyle` `CHECK_BOX_LITERAL` The 'Check Box' literal object.
`static java.lang.String` `copyright`
`static int` `RADIO_BUTTON` The 'Radio Button' literal value.
`static InputPromptControlStyle` `RADIO_BUTTON_LITERAL` The 'Radio Button' literal object.
`static int` `SELECTABLE_LIST` The 'Selectable List' literal value.
`static InputPromptControlStyle` `SELECTABLE_LIST_LITERAL` The 'Selectable List' literal object.
`static int` `SELECTABLE_LIST_WITH_TEXT_FIELD` The 'Selectable List With Text Field' literal value.
`static InputPromptControlStyle` `SELECTABLE_LIST_WITH_TEXT_FIELD_LITERAL` The 'Selectable List With Text Field' literal object.
`static int` `TEXT_FIELD` The 'Text Field' literal value.
`static InputPromptControlStyle` `TEXT_FIELD_LITERAL` The 'Text Field' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Input Prompt Control Style' enumerators.

Method Summary
`static InputPromptControlStyle` `get(int value)` Returns the 'Input Prompt Control Style' literal with the specified integer value.
`static InputPromptControlStyle` `get(java.lang.String literal)` Returns the 'Input Prompt Control Style' literal with the specified literal value.
`static InputPromptControlStyle` `getByName(java.lang.String name)` Returns the 'Input Prompt Control Style' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### TEXT_FIELD

    public static final int TEXT_FIELD

  The 'Text Field' literal value.

  See Also:
    `TEXT_FIELD_LITERAL`, Constant Field Values

### SELECTABLE_LIST

    public static final int SELECTABLE_LIST

  The 'Selectable List' literal value.

  See Also:
    `SELECTABLE_LIST_LITERAL`, Constant Field Values

### SELECTABLE_LIST_WITH_TEXT_FIELD

    public static final int SELECTABLE_LIST_WITH_TEXT_FIELD

  The 'Selectable List With Text Field' literal value.

  See Also:
    `SELECTABLE_LIST_WITH_TEXT_FIELD_LITERAL`, Constant Field Values

### CHECK_BOX

    public static final int CHECK_BOX

  The 'Check Box' literal value.

  See Also:
    `CHECK_BOX_LITERAL`, Constant Field Values

### RADIO_BUTTON

    public static final int RADIO_BUTTON

  The 'Radio Button' literal value.

  See Also:
    `RADIO_BUTTON_LITERAL`, Constant Field Values

### TEXT_FIELD_LITERAL

    public static final InputPromptControlStyle TEXT_FIELD_LITERAL

  The 'Text Field' literal object.

  See Also:
    `TEXT_FIELD`

### SELECTABLE_LIST_LITERAL

    public static final InputPromptControlStyle SELECTABLE_LIST_LITERAL

  The 'Selectable List' literal object.

  See Also:
    `SELECTABLE_LIST`

### SELECTABLE_LIST_WITH_TEXT_FIELD_LITERAL

    public static final InputPromptControlStyle SELECTABLE_LIST_WITH_TEXT_FIELD_LITERAL

  The 'Selectable List With Text Field' literal object.

  See Also:
    `SELECTABLE_LIST_WITH_TEXT_FIELD`

### CHECK_BOX_LITERAL

    public static final InputPromptControlStyle CHECK_BOX_LITERAL

  The 'Check Box' literal object.

  See Also:
    `CHECK_BOX`

### RADIO_BUTTON_LITERAL

    public static final InputPromptControlStyle RADIO_BUTTON_LITERAL

  The 'Radio Button' literal object.

  See Also:
    `RADIO_BUTTON`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Input Prompt Control Style' enumerators.

Method Detail

### get

    public static InputPromptControlStyle get(java.lang.String literal)

  Returns the 'Input Prompt Control Style' literal with the specified literal value.

### getByName

    public static InputPromptControlStyle getByName(java.lang.String name)

  Returns the 'Input Prompt Control Style' literal with the specified name.

### get

    public static InputPromptControlStyle get(int value)

  Returns the 'Input Prompt Control Style' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.